OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- c : Units , UnitsLong
- cache : FreeUnitIDGenerator , Town
- cache_valid : NewGRFCache
- cached_air_drag : GroundVehicleCache
- cached_anim_triggers : BaseStation
- cached_axle_resistance : GroundVehicleCache
- cached_cargo_age_period : VehicleCache
- cached_cargo_triggers : BaseStation
- cached_destinations : StationViewWindow
- cached_links : LinkGraphOverlay
- cached_max_curve_speed : TrainCache
- cached_max_range : AircraftCache
- cached_max_range_sqr : AircraftCache
- cached_max_speed : VehicleCache
- cached_max_te : GroundVehicleCache
- cached_max_track_speed : GroundVehicleCache
- cached_power : GroundVehicleCache
- cached_relative_count : VehicleResolverObject
- cached_slope_resistance : GroundVehicleCache
- cached_stations : LinkGraphOverlay
- cached_tilt : TrainCache
- cached_total_length : GroundVehicleCache
- cached_veh_length : GroundVehicleCache
- cached_vis_effect : VehicleCache
- cached_weight : GroundVehicleCache
- caches : FontCache
- CalcDemand() : DemandCalculator
- CalcHash() : CHashTableT< Titem_, Thash_bits_ >
- CalcNextVehicleOffset() : Train
- CalculatePositionInWidget() : IndustryCargoesWindow
- call_handler : AllowedSubtags
- callback : CommandContainer , SetDateWindow , NetworkHTTPSocketHandler , NetworkHTTPContentConnecter , ResolverObject , ScriptInstance , Script_Suspend
- callback_mask : CargoSpec , EngineInfo , HouseSpec , IndustrySpec , IndustryTileSpec , CanalProperties , AirportTileSpec , WaterFeature , ObjectSpec , StationSpec
- callback_param1 : ResolverObject
- callback_param2 : ResolverObject
- callback_proc : FiosFileScanner
- callback_timer : BuildIndustryWindow
- callback_value : ScriptStorage
- CallbackResultSpriteGroup() : CallbackResultSpriteGroup
- callbacks : ClientNetworkContentSocketHandler , NIFeature
- caller_grfid : NewGRFInspectWindow
- CallLoad() : ScriptInstance
- CallMethod() : Squirrel
- can_do_autorefit : OrdersWindow
- can_do_refit : OrdersWindow
- canal_local_properties : GRFFile
- canal_speed_frac : ShipVehicleInfo
- CanAllocate() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- CanAllocateItem() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CanalResolverObject() : CanalResolverObject
- CanCarryCargo() : Engine
- cancel_button : QueryString
- CancelReservation() : Vehicle
- CanDelChar() : Textbuf
- CanEnterNewTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanExitOldTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanLeaveWithCargo() : Order
- CanLoadFromVersion() : AIInfo , GameInfo
- CanReadFromPacket() : Packet
- CanRestoreSelectedObject() : BuildObjectWindow
- CanSendReceive() : NetworkTCPSocketHandler
- CanStartNew() : AI
- CanSuspend() : Squirrel
- CanUpgradeCurrent() : NewGRFWindow
- cap : Scrollbar
- capacities : LinkRefresher
- capacity : SmallMatrix< T > , SmallVector< T, S > , RailVehicleInfo , LinkGraph::BaseEdge , LinkProperties , Path , LinkRefresher::RefitDesc , CBinaryHeapT< T > , ByteBlob::BlobHeader , CargoSummaryItem , RefitDesc , RefitResult
- Capacity() : LinkGraph::EdgeWrapper< Tedge > , ByteBlob
- CapacityAnnotation() : CapacityAnnotation
- caption : QueryWindow , OskWindow
- caret : Textbuf
- caretpos : Textbuf
- caretxoffs : Textbuf
- Cargo() : LinkGraph , LinkGraphJob
- cargo : CargoesField , LinkGraph , LinkRefresher::RefitDesc , LinkRefresher::Hop , LinkRefresher , GoodsEntry , CargoDataEntry , CargoSummaryItem , RefitDesc , Vehicle , RefitOption , RefitWindow
- cargo_acceptance : HouseSpec
- cargo_accepted : Town
- cargo_accepted_total : Town
- cargo_age_counter : Vehicle
- cargo_age_period : EngineInfo
- cargo_cap : Vehicle
- cargo_days_in_transit : CargoList< Tinst, Tcont >
- CARGO_FIELD_WIDTH : CargoesField
- cargo_filter : BuildVehicleWindow
- cargo_filter_criteria : BuildVehicleWindow
- cargo_filter_texts : BuildVehicleWindow
- cargo_label : CargoesField
- CARGO_LINE_COLOUR : CargoesField
- cargo_list : GRFFile
- cargo_map : GRFFile
- cargo_mask : LinkGraphOverlay
- cargo_payment : Vehicle
- cargo_produced : Town
- CARGO_STUB_WIDTH : CargoesField
- cargo_subtype : Vehicle
- cargo_textsize : IndustryCargoesWindow
- cargo_threshold : StationSpec
- cargo_triggers : StationSpec
- cargo_type : StationScopeResolver , Subsidy , Vehicle
- CargoArray() : CargoArray
- CargoChanged() : GroundVehicle< T, Type >
- CargoClickedAt() : CargoesField
- cargoes : CargoesField
- CargoLabelClickedAt() : CargoesField
- CargoList : CargoPacket , CargoList< Tinst, Tcont >
- CargoList< StationCargoList, StationCargoPacketMap > : StationCargoList
- CargoList< VehicleCargoList, CargoPacketList > : VehicleCargoList
- CargoPacket() : CargoPacket
- CargoPayment() : CargoPayment
- CargoResolverObject() : CargoResolverObject
- Case() : Case
- case_map : LanguageMap
- case_sensitive : StringFilter
- case_sensitive_break_check : AIDebugWindow
- caseidx : Case
- cases : LanguagePackHeader
- cat : SettingDescBase
- catchment : AirportSpec
- category : AILibrary , PriceBaseSpec , GameLibrary
- cb_bit : NICallback
- cb_id : NICallback
- CBinaryHeapT() : CBinaryHeapT< T >
- CBlobT() : CBlobT< T >
- CClosedList : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- CCountedPtr() : CCountedPtr< Tcls_ >
- center : ViewportSign
- cgcontext : CocoaSubdriver
- chain : LoadFilter , SaveFilter
- chain_index : NewGRFInspectWindow
- change : LoggedAction
- Change() : Backup< T > , ScriptConfig
- change_date : Cheats
- ChangeAI() : AIListWindow
- ChangeAnimationFrame() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback >
- ChangeResolution() : VideoDriver_Allegro , VideoDriver_Cocoa , CocoaSubdriver , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver , VideoDriver_Win32
- changes : LoggedAction
- ChangeShare() : FlowStat
- ChangeToAI() : AIDebugWindow
- char_itr : IcuStringIterator
- chars : Textbuf
- CharType : ICUParagraphLayout , FallbackParagraphLayout
- chat_height : NewsWindow
- ChatTabCompletion() : NetworkChatWindow
- ChatTabCompletionFindText() : NetworkChatWindow
- ChatTabCompletionNextItem() : NetworkChatWindow
- check_proc : IndustrySpec
- checkable : LoadCheckData
- checkbox_size : NetworkContentListWindow
- CheckCallbacks() : TCPConnecter
- CheckClientListHeight() : NetworkClientListWindow
- CheckConnection() : ClientNetworkGameSocketHandler
- CheckDependencyState() : ClientNetworkContentSocketHandler
- CheckIdx() : CBlobT< T >
- CheckIntegrity() : RoadStop::Entry
- CheckMatch() : HotkeyList
- CheckMD5() : MD5File , BaseSet< T, Tnum_files, Tsearch_in_tars > , GraphicsSet
- CheckMethod() : ScriptInfo
- CheckSelectedSize() : BuildRailStationWindow
- CheckShipReverse() : CYapfFollowShipT< Types >
- ChecksumResult : MD5File
- CheckTile() : AyStar
- child : TileLayoutRegisters , NWidgetBackground
- children : CargoDataEntry
- ChooseAction() : VehicleCargoList
- CHUNK : PacketReader
- ci : ContentTextfileWindow
- CItemArray : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- city : FoundTownWindow
- ClampToMap() : OrthogonalTileArea
- class_id : HouseSpec , HouseClassMapping
- classes : CargoSpec , NewGRFClass< Tspec, Tid, Tmax >
- Clean() : PoolBase
- cleaning : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- CleaningPool() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CleanPool() : PoolBase , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- cleanup_flag : IndustrySpec
- CleanupPaths() : MultiCommodityFlow
- Clear() : IniGroup , LinkGraphSchedule , SmallArray< T, B, N > , CBinaryHeapT< T > , ByteBlob , FixedSizeArray< T, C > , CHashTableSlotT< Titem_ > , CHashTableT< Titem_, Thash_bits_ > , ClientNetworkContentSocketHandler , AyStar , BinaryHeap , Hash , OutputBuffer , OutputStore , CargoDataEntry , OrthogonalTileArea , DiagonalTileArea , CargoArray , SmallMatrix< T > , SmallVector< T, S > , AutoFreeSmallVector< T, S > , AutoDeleteSmallVector< T, S > , LoadCheckData , GroupStatistics
- clear_cost_multiplier : ObjectSpec
- clear_frame_burst : ConstructionSettings
- clear_limit : CompanyProperties
- clear_per_64k_frames : ConstructionSettings
- ClearArticulatedPart() : GroundVehicle< T, Type >
- ClearChanges() : BasePersistentStorageArray , PersistentStorageArray< TYPE, SIZE >
- ClearConfigList() : AIConfig , ScriptConfig
- ClearDataForNextFile() : GrfProcessingState
- ClearDriveThrough() : RoadStop
- ClearEngine() : GroundVehicle< T, Type >
- ClearFontCache() : SpriteFontCache , FreeTypeFontCache , FontCache
- ClearFreeWagon() : GroundVehicle< T, Type >
- ClearFrontEngine() : GroundVehicle< T, Type >
- ClearGlyphToSpriteMap() : SpriteFontCache
- ClearGroup() : OrderBackup
- ClearMultiheaded() : GroundVehicle< T, Type >
- ClearTypeInformation() : StringParameters
- ClearVehicle() : OrderBackup
- ClearWagon() : GroundVehicle< T, Type >
- click_beep : SoundSettings
- click_delay : DropdownWindow
- click_tile_proc : TileTypeProcs
- click_time : NewGrfDebugSpritePicker
- click_x : RefitWindow
- clicked : NWidgetMatrix
- clicked_button : AISettingsWindow , IndustryViewWindow , NewGRFParametersWindow
- clicked_dropdown : AISettingsWindow , NewGRFParametersWindow
- clicked_entry : GameSettingsWindow
- clicked_increase : AISettingsWindow , NewGRFParametersWindow
- clicked_line : IndustryViewWindow
- clicked_pixel : NewGrfDebugSpritePicker
- clicked_row : AISettingsWindow , NewGRFParametersWindow
- client_addr : NetworkContentSocketHandler
- client_address : ServerNetworkGameSocketHandler
- client_id : NetworkGameSocketHandler , NetworkClientInfo
- client_lang : NetworkClientInfo
- client_name : NetworkClientInfo , NetworkSettings
- client_playas : NetworkClientInfo
- ClientError() : ClientNetworkGameSocketHandler
- ClientNetworkContentSocketHandler() : ClientNetworkContentSocketHandler
- ClientNetworkGameSocketHandler() : ClientNetworkGameSocketHandler
- clients : NetworkCompanyInfo
- clients_max : NetworkGameInfo
- clients_on : NetworkServerGameInfo
- ClientStatus : ServerNetworkGameSocketHandler
- climate : ObjectSpec
- climate_availability : IndustrySpec
- climates : EngineInfo
- Clone() : AirportTileTableIterator , NewGRFSpriteLayout , AirportTileIterator , TileIterator , OrthogonalTileIterator , DiagonalTileIterator
- clone : OrderBackup
- Close() : NetworkSocketHandler , NetworkContentSocketHandler , NetworkUDPSocketHandler , ClientNetworkContentSocketHandler
- close : NewsSettings
- close_cond : TooltipsWindow
- closebox_dimension : NWidgetLeaf
- CloseConnection() : NetworkGameSocketHandler , NetworkSocketHandler , NetworkTCPSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler , NetworkHTTPSocketHandler , NetworkUDPSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- ClosedCount() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- closedlist_hash : AyStar
- ClosedListAdd() : AyStar
- ClosedListIsInList() : AyStar
- CloseListeners() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- closing_dropdown : NewGRFParametersWindow , AISettingsWindow , GameSettingsWindow
- closure_text : IndustrySpec
- cls : WindowDesc
- cls_id : AirportSpec , ObjectSpec , StationSpec
- cmd : CommandContainer , SaveLoad , SettingDescBase
- cmdline : IConsoleAlias
- cmp_mode : RandomizedSpriteGroup
- CNodeList_HashTableT() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- cocoaview : CocoaSubdriver
- code : DefaultUnicodeMapping
- col_break : LegendAndColour
- CollectGarbage() : ScriptInstance , Squirrel
- Colour() : Colour
- colour : ICU_FONTINSTANCE , CompanyProperties , IConsoleLine , ChatMessage , CompanyNewsInformation , Object , LegendAndColour , NWidgetCore , NWidgetMatrix , NWidgetPartWidget
- Colour() : Colour
- colour1 : Livery
- colour2 : Livery
- colour_count : SmallMapColourScheme
- coloured_news_year : GUISettings
- colourmap : Vehicle
- column_size : VehicleGroupWindow
- column_width : SmallMapWindow
- columns : CargoesRow
- combine_sprites : ViewportDrawer
- command_pause_level : ConstructionSettings
- CommandCost() : CommandCost
- CommandPacket() : CommandPacket
- CommandQueue() : CommandQueue
- commands_per_frame : NetworkSettings
- comment : IniGroup , IniItem , IniLoadFile
- Compact() : SmallMatrix< T > , SmallVector< T, S >
- companies : LoadCheckData
- companies_max : NetworkGameInfo
- companies_on : NetworkGameInfo
- Company() : Company
- company : ClientSettings , Goal , HighScore , NetworkLobbyWindow , CommandPacket , ScriptStorage , LegendAndColour , StoryPage , VehicleListIdentifier
- company_avail : Engine
- company_hidden : Engine
- company_info : NewsSettings
- company_information : NewGRFCache
- company_mask : LinkGraphOverlay
- company_name : NetworkCompanyInfo , CompanyNewsInformation
- company_value : CompanyEconomyEntry , NetworkCompanyInfo
- CompanyWindowPlanes : CompanyWindow
- CompareTo() : NetworkAddress
- comparison_done : ParentSpriteToDraw
- compatible : NetworkGameInfo
- compatible_railtypes : RailtypeInfo
- competitor_speed : DifficultySettings
- Compile() : GameStrings
- compiled_strings : GameStrings
- CompileError() : Squirrel
- complete_labels : GRFParameterInfo , ScriptConfigItem
- completed : Goal
- ComposeColourPA() : Blitter_32bppBase
- ComposeColourPANoCheck() : Blitter_32bppBase
- ComposeColourRGBA() : Blitter_32bppBase
- ComposeColourRGBANoCheck() : Blitter_32bppBase
- compression : BmpInfo
- COMPRESSION_INTERVAL : LinkGraph
- ComputeCargoDisplay() : IndustryCargoesWindow
- ComputeGroupInfoSize() : VehicleGroupWindow
- ComputeIndustryDisplay() : IndustryCargoesWindow
- ComputeScroll() : SmallMapWindow
- condition : ThreadMutex_pthread
- config_list : ScriptInfo , ScriptConfig
- confirm : SoundSettings
- conflicting : IndustrySpec
- Connect() : ClientNetworkContentSocketHandler , NetworkHTTPSocketHandler , NetworkAddress , TCPConnecter
- connect_to_ip : NetworkSettings
- ConnectCargo() : CargoesField
- connected : TCPConnecter
- ConnectIndustryAccepted() : CargoesRow
- ConnectIndustryProduced() : CargoesRow
- consist_capleft : PrepareRefitAction , FinalizeRefitAction
- consist_cargo_information : NewGRFCache
- ConsistChanged() : Train
- consistent_max_offset : NewGRFSpriteLayout
- console_backlog_length : GUISettings
- console_backlog_timeout : GUISettings
- ConstEdge : LinkGraph
- ConstEdgeIterator() : LinkGraph::ConstEdgeIterator
- ConstIterator : CargoList< Tinst, Tcont >
- ConstNode() : LinkGraph::ConstNode
- ConstReverseIterator : CargoList< Tinst, Tcont >
- construction : GameSettings
- construction_cost : DifficultySettings
- construction_date : Industry
- construction_type : Industry
- Constructor() : AIInfo , ScriptInfo , GameInfo , AILibrary , GameLibrary
- cont : GetOptData
- cont_flags : NWidgetPart
- container_ver : SpriteCache
- Contains() : DiagonalTileArea , SmallVector< T, S > , SmallMap< T, U, S > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , OrthogonalTileArea
- content : NetworkContentListWindow
- content_type : BaseSetTextfileWindow< TBaseSet >
- ContentIDList : ClientNetworkContentSocketHandler
- ContentInfo() : ContentInfo
- context : RailTypeScopeResolver
- Continue() : ScriptInstance
- controller : ScriptInstance
- conv : SaveLoad
- convert : RailtypeInfo
- convert_rail : RailtypeInfo
- ConvertFromOldSavegame() : Order
- coord : Vehicle
- COpenList : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- Copy() : GRFText
- CopyConsistPropertiesFrom() : BaseConsist
- CopyFromBuffer() : Blitter , Blitter_Null , Blitter_8bppBase , Blitter_32bppAnim , Blitter_32bppBase
- CopyImageToBuffer() : Blitter_32bppBase , Blitter , Blitter_8bppBase , Blitter_Null
- CopyOutDParams() : ErrorMessageData
- CopyParams() : GRFConfig
- CopyToBuffer() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_Null , Blitter , Blitter_8bppBase
- CopyVehicleConfigAndStatistics() : Vehicle
- cost : BaseGraphWindow , CommandCost
- cost_factor : RailVehicleInfo
- cost_multiplier : IndustrySpec , RailtypeInfo
- costs : ScriptStorage
- count : CargoPacket , CommandQueue , NewGRFClass< Tspec, Tid, Tmax > , NWidgetMatrix
- Count() : CommandQueue , CHashTableT< Titem_, Thash_bits_ >
- count : Scrollbar
- Count() : CargoPacket
- count : BuildIndustryWindow , CargoList< Tinst, Tcont > , ReusableBuffer< T > , BuildTreesWindow , CargoDataEntry
- count_dirty : Palette
- CountEngine() : GroupStatistics
- counter : AboutWindow , Industry
- COUNTER_STEP : StatusBarWindow
- CountInUse() : StringData
- CountLines() : SubsidyListWindow , GoalListWindow
- CountMatchingAcceptingIndustries() : IndustryCargoesWindow
- CountMatchingProducingIndustries() : IndustryCargoesWindow
- CountRuns() : FallbackParagraphLayout::FallbackLine
- counts : Industry , Object
- CountVehicle() : GroupStatistics
- coverage_height : BuildRailStationWindow
- CPriorityQueue : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- CR_MATCH : MD5File
- CR_MISMATCH : MD5File
- CR_NO_FILE : MD5File
- Crash() : Vehicle , GroundVehicle< T, Type > , Aircraft , RoadVehicle , Train
- crash_anim_pos : Train
- crashdump_filename : CrashLogWindows
- crashed : Squirrel
- crashed_counter : Aircraft
- crashed_ctr : RoadVehicle
- crashlog : CrashLogWindows
- crashlog_filename : CrashLogWindows
- CrashLogOSX() : CrashLogOSX
- CrashLogUnix() : CrashLogUnix
- CrashLogWindows() : CrashLogWindows
- CrashOccurred() : Squirrel
- Create() : SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size > , StringIterator
- CreateClassInstance() : Squirrel
- CreateClassInstanceVM() : Squirrel
- CreateInstance() : BlitterFactory , FSoundDriver_Allegro , FVideoDriver_Win32 , FMusicDriver_Null , FBlitter_32bppAnim , FVideoDriver_Dedicated , FMusicDriver_QtMidi , FSoundDriver_Win32 , FMusicDriver_Win32 , FVideoDriver_Cocoa , FMusicDriver_LibTimidity , FMusicDriver_DMusic , FSoundDriver_Null , FBlitter_Null , FMusicDriver_Cocoa , FMusicDriver_OS2 , FMusicDriver_BeMidi , FBlitter_32bppSimple , FBlitter_32bppOptimized , FVideoDriver_SDL , FMusicDriver_ExtMidi , DriverFactoryBase , FMusicDriver_Allegro , FVideoDriver_Null , FSoundDriver_Cocoa , FBlitter_8bppOptimized , FSoundDriver_SDL , FBlitter_8bppSimple , FVideoDriver_Allegro
- CreateNestedTree() : Window
- CreateNewNode() : CYapfBaseT< Types > , CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- criteria : Filtering , Listing
- critical_section : ThreadMutex_Win32
- crossing : RailtypeInfo
- crossing_tunnels : Cheats
- cs : Packet , PacketWriter
- CStrA() : CStrA
- ct : CargoPayment , LoggedChange
- ctt_exclude_mask : GRFTempEngineData
- ctt_include_mask : GRFTempEngineData
- cur_colour : FontState
- cur_economy : CompanyProperties
- cur_fh : Fio
- cur_id : BaseNetworkContentDownloadStatusWindow
- cur_image : Vehicle
- cur_implicit_order_index : BaseConsist
- cur_language : GameStrings
- cur_real_order_index : BaseConsist
- cur_speed : Vehicle
- curFile : ClientNetworkContentSocketHandler
- curid : FreeUnitIDGenerator
- curInfo : ClientNetworkContentSocketHandler
- currency : LocaleSettings
- current : PacketWriter , LinkGraph::BaseEdgeIterator< Tedge, Tedge_wrapper, Titer > , CrashLogWindows
- current_char : Lexer
- current_edit_param : NewGRFInspectWindow
- current_loan : CompanyProperties
- current_mode : StationViewWindow
- current_order : Vehicle
- current_order_time : BaseConsist
- current_sprite : SpriteAlignerWindow
- current_station : CargoPayment
- current_x : NWidgetBase
- current_y : NWidgetBase
- cursor : RailtypeInfo
- cursor_autoroad : RoadTypeInfo
- cursor_nesw : RoadTypeInfo
- cursor_nwse : RoadTypeInfo
- curve_speed : RailtypeInfo
- cust_cargoes : CargoesField
- custom_1 : MusicSettings
- custom_2 : MusicSettings
- custom_message : GRFError
- custom_sea_level : GameCreationSettings
- custom_town_number : GameCreationSettings
- custom_value : ScriptConfigItem
- CWP_BUTTONS_LOCAL : CompanyWindow
- CWP_BUTTONS_OTHER : CompanyWindow
- CWP_MP_C_JOIN : CompanyWindow
- CWP_MP_C_PWD : CompanyWindow
- CWP_RELOCATE_HIDE : CompanyWindow
- CWP_RELOCATE_SHOW : CompanyWindow
- CWP_VB_BUILD : CompanyWindow
- CWP_VB_VIEW : CompanyWindow
- CYapfBaseT() : CYapfBaseT< Types >
- cycle_signal_types : GUISettings